<template>
  <div class="fileRow">
    <div class="fileInput">
      <label for="fileEngine">Выбрать файл...</label>
      <input
        type="file"
        id="fileEngine"
        ref="fileEngine"
        @change="serializeData"
        multiple
      />
    </div>
    <div class="fileButton">
      <AppButton
        :theme="buttonThemes.prime"
        :icon="buttonIcons.none"
        @click="selectFiles()"
      >
        Выбрать
      </AppButton>
    </div>
  </div>
</template>
<script>
import AppButton, {
  themes as buttonThemes,
  icons as buttonIcons,
} from "@/components/UI/AppButton.vue";

export default {
  name: "AppFileInput",
  components: { AppButton },
  emits: ["change"],
  data() {
    return {
      buttonIcons,
      buttonThemes,
    };
  },
  methods: {
    selectFiles() {
      this.$refs.fileEngine?.click();
    },
    serializeData(e) {
      this.$emit("change", e.target.files);
    },
  },
};
</script>

<style>
input[type="file"] {
  opacity: 0;
  visibility: hidden;
  position: absolute;
}

label[for="fileEngine"] {
  background: #ffffff;
  border: 1px solid #dfe3e7;
  border-radius: 4px;
  width: 100%;
  padding: 13px 16px;
  color: #9fa2a5;
}

.fileButton {
}

.fileInput {
  margin-right: 4px;
  width: 100%;
}

.fileRow {
  display: flex;
  align-items: baseline;
}
</style>
